<?php

require 'db.php';

$postdata = file_get_contents("php://input");
$request = json_decode($postdata);
if(isset($postdata) && !empty($postdata))
{
    if(isset($_GET['sid']) && isset($_GET['token']))
    {
        $shop_id = $_GET['sid'];
        $shop_code = $_GET['token'];
    
        include 'token_check.php';
        
        if($token_check)
        {
            $val = mysqli_real_escape_string($con, trim($request->value));
            if($val != null)
            {
                $s_sql = "SELECT * FROM product where id = '$val' and shop_id='$shop_id' and shop_code='$shop_code'";
                $s_query = mysqli_query($con,$s_sql);
                if($rows = $s_query->fetch_assoc())
                {
                    $stock = $rows['stock'];
                }
                if($stock == 0)
                {
                    $sc_sql = "UPDATE product set stock = '1' where id='$val' and shop_id='$shop_id' and shop_code='$shop_code'";
                    $sc_result = mysqli_query($con,$sc_sql);
                    if($sc_result)
                    {
                        $rows = array('status'=>true,'message' => 'Stock On');
                        echo json_encode($rows);
                    }
                }
                else if($stock == 1)
                {
                    $sc_sql = "UPDATE product set stock = '0' where id='$val' and shop_id='$shop_id' and shop_code='$shop_code'";
                    $sc_result = mysqli_query($con,$sc_sql);
                    if($sc_result)
                    {
                        $rows = array('status'=>true,'message' => 'Stock Off');
                        echo json_encode($rows);
                    }
                }
            }
            else
            {
                $rows = array('status'=>false,'message' => 'Something Error');
                echo json_encode($rows);  
            }
        }
        else
        {
            $rows = array('status'=>"",'message' => 'Data Error');
            echo json_encode($rows);
        }
    }
}

?>
